## MMFirmwareProperties MMFirmwareProperties — Helper object to handle firmware information. |

## Functions

MMFirmwareImageType | mm_firmware_properties_get_image_type ()
const gchar * | mm_firmware_properties_get_unique_id ()
const gchar * | mm_firmware_properties_get_gobi_pri_version ()
const gchar * | mm_firmware_properties_get_gobi_pri_info ()
const gchar * | mm_firmware_properties_get_gobi_boot_version ()
const gchar * | mm_firmware_properties_get_gobi_pri_unique_id ()
const gchar * | mm_firmware_properties_get_gobi_modem_unique_id ()

## Types and Values

struct | MMFirmwareProperties

## Object Hierarchy

        GObject
        ╰── MMFirmwareProperties

## Description

The MMFirmwareProperties is an object handling the properties exposed for available firmware images.

This object is retrieved with either `mm_modem_firmware_list()` or `mm_modem_firmware_list_sync()`.

## Functions

### mm_firmware_properties_get_image_type ()

    MMFirmwareImageType
    mm_firmware_properties_get_image_type (MMFirmwareProperties *self);

Gets the type of the firmare image.

#### Parameters

self | A MMFirmwareProperties. |

#### Returns

A MMFirmwareImageType specifying The type of the image.

Since: 1.0

### mm_firmware_properties_get_unique_id ()

    const gchar *
    mm_firmware_properties_get_unique_id (MMFirmwareProperties *self);

Gets the unique ID of the firmare image.

#### Parameters

self | A MMFirmwareProperties. |

#### Returns

The ID of the image. Do not free the returned value, it is owned by `self` .

[transfer none]

Since: 1.0

### mm_firmware_properties_get_gobi_pri_version ()

    const gchar *
    mm_firmware_properties_get_gobi_pri_version
                                   (MMFirmwareProperties *self);

Gets the PRI version of a firmware image of type `MM_FIRMWARE_IMAGE_TYPE_GOBI`.

#### Parameters

self | a MMFirmwareProperties. |

#### Returns

The PRI version, or `NULL` if unknown. Do not free the returned value, it is owned by `self` .

Since: 1.0

### mm_firmware_properties_get_gobi_pri_info ()

    const gchar *
    mm_firmware_properties_get_gobi_pri_info
                                   (MMFirmwareProperties *self);

Gets the PRI info of a firmware image of type `MM_FIRMWARE_IMAGE_TYPE_GOBI`.

#### Parameters

self | a MMFirmwareProperties. |

#### Returns

The PRI info, or `NULL` if unknown. Do not free the returned value, it is owned by `self` .

Since: 1.0

### mm_firmware_properties_get_gobi_boot_version ()

    const gchar *
    mm_firmware_properties_get_gobi_boot_version
                                   (MMFirmwareProperties *self);

Gets the boot version of a firmware image of type `MM_FIRMWARE_IMAGE_TYPE_GOBI`.

#### Parameters

self | a MMFirmwareProperties. |

#### Returns

The boot version, or `NULL` if unknown. Do not free the returned value, it is owned by `self` .

Since: 1.0

### mm_firmware_properties_get_gobi_pri_unique_id ()

    const gchar *
    mm_firmware_properties_get_gobi_pri_unique_id
                                   (MMFirmwareProperties *self);

Gets the PRI unique ID of a firmware image of type `MM_FIRMWARE_IMAGE_TYPE_GOBI`.

#### Parameters

self | a MMFirmwareProperties. |

#### Returns

The PRI unique ID, or `NULL` if unknown. Do not free the returned value, it is owned by `self` .

Since: 1.0

### mm_firmware_properties_get_gobi_modem_unique_id ()

    const gchar *
    mm_firmware_properties_get_gobi_modem_unique_id
                                   (MMFirmwareProperties *self);

Gets the MODEM unique ID of a firmware image of type `MM_FIRMWARE_IMAGE_TYPE_GOBI`.

#### Parameters

self | a MMFirmwareProperties. |

#### Returns

The PRI unique ID, or `NULL` if unknown. Do not free the returned value, it is owned by `self` .

Since: 1.0

## Types and Values

### struct MMFirmwareProperties

    struct MMFirmwareProperties;

The MMFirmwareProperties structure contains private data and should only be accessed using the provided API.